---
stages:
  - 'build-docker-image'

build:
  stage: 'build-docker-image'
  rules:
    - if: '$CI_COMMIT_TAG'
      when: 'always'
  image: 'docker:19.03.12'
  tags:
    - 'gitlab-org-docker'
  services:
    - name: 'docker:19.03.12-dind'
  variables:
    DOCKER_TLS_CERTDIR: '/certs'
  script:
    - 'docker info'
    - 'docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY'
    - 'docker pull $CI_REGISTRY_IMAGE:latest || true'
    - 'docker build --cache-from $CI_REGISTRY_IMAGE:latest --tag $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG --tag $CI_REGISTRY_IMAGE:latest .'
    - 'docker push $CI_REGISTRY_IMAGE:$CI_COMMIT_TAG'
    - 'docker push $CI_REGISTRY_IMAGE:latest'
